Comment Replies

Get replies to a specific comment on a YouTube video.

1 creditper request
GET
/v1/youtube/video/comment/replies
curl "https://api.scrapecreators.com/v1/youtube/video/comment/replies" \
  -H "x-api-key: "
{
  "comments": [
    {
      "id": "UgyfayX-QqgkPGkcKbt4AaABAg.AV5O1akOhw9AV5RdnpN-SY",
      "content": "Me",
      "publishedTimeText": "20 hours ago",
      "publishedTime": "2026-04-03T05:52:36.883Z",
      "replyLevel": 1,
      "author": {
        "name": "@pepisakkout2522",
        "channelId": "UCjEBcO_VQ32GUzUZGwlxy1w",
        "isVerified": false,
        "isCreator": false,
        "avatarUrl": "https://yt3.ggpht.com/ytc/AIdro_lYQDmh7-5JOb_QcEsPJIp4vmKm5a0uyzAXT-JC0rY=s88-c-k-c0x00ffffff-no-rj",
        "channelUrl": "https://youtube.com/@pepisakkout2522"
      },
      "engagement": {
        "likes": 2,
        "replies": 0
      }
    }
  ],
  "continuationToken": "Eg0SC2RRdzR3OVdnWGNRGAYy1AEK..."
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

continuationToken
string
required

Continuation token for the comment replies. Use 'repliesContinuationToken' from the Comments endpoint, or 'continuationToken' from a previous replies response to paginate.

Example:
Eg0SC2RRdzR3OVdnWGNRGAYygwEaUBIa...